ClaasAllowPickUp = {};

function ClaasAllowPickUp.prerequisitesPresent(specializations)
    return true;
end;

function ClaasAllowPickUp:load(xmlFile)
	self.allowPickingUp = ClaasAllowPickUp.allowPickingUp;
	self.allowPick = false;
end;

function ClaasAllowPickUp:delete()
end;

function ClaasAllowPickUp:readStream(streamId, connection)
end;

function ClaasAllowPickUp:writeStream(streamId, connection)
end;

function ClaasAllowPickUp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ClaasAllowPickUp:keyEvent(unicode, sym, modifier, isDown)
end;

function ClaasAllowPickUp:update(dt)
end;

function ClaasAllowPickUp:updateTick(dt)
	if self.isTurnedOn then
		if self.movingDirection == -1 then
			self.backTimer = self.backTimer+dt;
			if self.backTimer > 50 then
				self.allowPick = false;
			end;
		else
			self.allowPick = true;
			self.backTimer = 0;
		end;
	end;
end;

function ClaasAllowPickUp:allowPickingUp()
	local allow = false;
	if self.animationParts[1].currentPosition > 300 then
		allow = true;
	end;
	if not self.allowPick then
		allow = false;
	end;
	return allow;
end;

function ClaasAllowPickUp:draw()
end;